commit:     303548c5add9046a3c9465a2f5002b579580001c
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Feb  7 22:50:12 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Feb  7 22:50:12 2019 +0000
URL:        https://gitweb.gentoo.org/proj/kde.git/commit/?id=303548c5

media-sound/amarok: Remove virtual/mysql from RDEPEND, more postinst

There is a slim chance that someone indeed would run a shared DB instance.

Package-Manager: Portage-2.3.59, Repoman-2.3.12
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-sound/amarok/amarok-9999.ebuild | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

diff --git a/media-sound/amarok/amarok-9999.ebuild 
b/media-sound/amarok/amarok-9999.ebuild
index 6ff515262e..58fdd12eba 100644
--- a/media-sound/amarok/amarok-9999.ebuild
+++ b/media-sound/amarok/amarok-9999.ebuild
@@ -77,7 +77,6 @@ DEPEND="
 RDEPEND="${DEPEND}
        !media-sound/amarok:4
        $(add_qt_dep qtquickcontrols2)
-       virtual/mysql
 "
 
 PATCHES=( "${FILESDIR}"/${PN}-2.8.90-mysqld-rpath.patch )
@@ -113,7 +112,15 @@ src_install() {
 pkg_postinst() {
        kde5_pkg_postinst
 
-       elog "You'll have to configure amarok to use an external db server."
-       elog "Please read https://community.kde.org/Amarok/Community/MySQL for 
details on how"
-       elog "to configure the external db and migrate your data from the 
embedded database."
+       pkg_is_installed() {
+               echo "${1} ($(has_version ${1} || echo "not ")installed)"
+       }
+
+       if [[ -z "${REPLACING_VERSIONS}" ]]; then
+               elog "You'll have to configure amarok to use an external db 
server, one of:"
+               elog "    $(pkg_is_installed dev-db/mariadb)"
+               elog "    $(pkg_is_installed dev-db/mysql)"
+               elog "Please read 
https://community.kde.org/Amarok/Community/MySQL for details on how"
+               elog "to configure the external db and migrate your data from 
the embedded database."
+       fi
 }

Reply via email to